### Method

# AppStream Component get_id

#### Declaration [src]

    const gchar*
    as_component_get_id (
      AsComponent* cpt
    )

#### Description [src]

Get the unique AppStream identifier for this component. This ID is unique for the described component, but does not uniquely identify the metadata set.

For a unique ID for this metadata set in the current session, use %as_component_get_data_id().

Gets property | `AppStream.Component:id`

#### Return value

Type: `const gchar*`

The unique AppStream identifier.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.